> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rails.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Market Data

> This endpoint retrieves market data for a given list of markets.



## OpenAPI

````yaml GET /api/v1/market-data
openapi: 3.1.0
info:
  title: Market Data API
  version: 1.0.0
servers:
  - url: https://market-data.sandbox.rails.xyz
security: []
paths:
  /api/v1/market-data:
    get:
      summary: Retrieve market data for a given list of markets
      operationId: getMarketData
      parameters:
        - name: markets
          in: query
          description: >-
            Comma separated market names. Example value: `BTC-USDT,ETH-USDT`. To
            get all supported markets, call
            [/api/v1/markets](/latest/perps/rest-api/get-supported-markets)
            endpoint.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    market:
                      type: string
                      description: >-
                        Market name. Example value: `ETH-USDT`. To get all
                        supported markets, call
                        [/api/v1/markets](/latest/perps/rest-api/get-supported-markets)
                        endpoint.
                    type:
                      type: string
                      enum:
                        - INDEX
                        - ASK
                        - BID
                        - FUNDING
                        - NEXT_FUNDING
                        - OPEN_INTEREST
                        - 24H_VOLUME
                        - 24H_COUNT
                      description: Type of market data.
                    index:
                      type: string
                      enum:
                        - CCIX
                        - CCCAGG
                        - HYPERLIQUID
                        - KRAKEN
                        - RAILS
                      description: Name of the index.
                    value:
                      type: string
                      description: The value for the given market data type and index.
                    updatedAt:
                      type: number
                      description: >-
                        Timestamp (milliseconds since epoch) when this value was
                        last updated.
                  required:
                    - market
                    - type
                    - index
                    - value
                    - updatedAt
              example:
                - market: BTC-USDT
                  type: INDEX
                  index: CCIX
                  value: '58400.1937255873'
                  updatedAt: 1726171141994
                - market: BTC-USDT
                  type: 24H_COUNT
                  index: RAILS
                  value: '46730'
                  updatedAt: 1726171109083
                - market: BTC-USDT
                  type: 24H_VOLUME
                  index: RAILS
                  value: '28313423.250000027202'
                  updatedAt: 1726171109083
                - market: BTC-USDT
                  type: ASK
                  index: RAILS
                  value: '58191.7113328'
                  updatedAt: 1726174865550
                - market: BTC-USDT
                  type: BID
                  index: RAILS
                  value: '58180.07415425'
                  updatedAt: 1726174865550
                - market: BTC-USDT
                  type: FUNDING
                  index: RAILS
                  value: '0.0000666285937435'
                  updatedAt: 1726167616514
                - market: BTC-USDT
                  type: NEXT_FUNDING
                  index: RAILS
                  value: '0.0000666285937435'
                  updatedAt: 1726167616514
                - market: BTC-USDT
                  type: OPEN_INTEREST
                  index: RAILS
                  value: '53.28177507'
                  updatedAt: 1726170313764
                - market: ETH-USDT
                  type: INDEX
                  index: CCIX
                  value: '2360.74497472941'
                  updatedAt: 1726171140745
                - market: ETH-USDT
                  type: 24H_COUNT
                  index: RAILS
                  value: '46948'
                  updatedAt: 1726171109083
                - market: ETH-USDT
                  type: 24H_VOLUME
                  index: RAILS
                  value: '28513340.9400000105'
                  updatedAt: 1726171109083
                - market: ETH-USDT
                  type: ASK
                  index: RAILS
                  value: '2350.5038547'
                  updatedAt: 1726174865612
                - market: ETH-USDT
                  type: BID
                  index: RAILS
                  value: '2350.13526604'
                  updatedAt: 1726174865612
                - market: ETH-USDT
                  type: FUNDING
                  index: RAILS
                  value: '0.0000527105290972'
                  updatedAt: 1726167616514
                - market: ETH-USDT
                  type: NEXT_FUNDING
                  index: RAILS
                  value: '0.0000527105290972'
                  updatedAt: 1726167616514
                - market: ETH-USDT
                  type: OPEN_INTEREST
                  index: RAILS
                  value: '592.23030026'
                  updatedAt: 1726170313759

````